/*
 * Strings definidas em messages.c
 */
#ifndef MESSAGES_H
#define MESSAGES_H

// Mensagens de uso e ajuda
extern const char *MSG_USAGE;
extern const char *MSG_EOF_HINT;
// extern const char *MSG_PROMPT;

// Mensagens de erro
extern const char *MSG_ARGC_ERROR;
extern const char *MSG_FILE_EXISTS;
extern const char *MSG_INVALID_ARG;
extern const char *MSG_INVALID_FMT;
extern const char *MSG_INCORRECT_ALL;
extern const char *MSG_FOPEN_ERROR;

// Impressão estilizada condicional
int  is_tty_stderr(void);
void print_error(const char *msg);
void print_error_fmt(const char *fmt, const char *arg);

// Impressão da ajuda
int print_usage(int status, const char *prog_name);
int print_error_usage(const char *err, const char *prog_name);

#endif // MESSAGES_H
